- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# FbxAnimCurveFilterScaleCompensate Class Reference

Search for all occurrences

## Detailed Description

This filter tries to compensate parent's scale to children's scale.

This filter is used to convert scale animation curves of nodes whose transform inherit type are eInheritRrs. In the eInheritRrs mode, child objects do not inherit scaling from parent objects at all. When a parent object is scaled, the child does not scale, but translates in order to keep proportional distance between models. If you want to change the inherit type of certain nodes from eInheritRrs to eInheritRrSs, you may call this filter to compensate scale.

Definition at line 401 of file fbxanimcurvefilters.h.

`#include <fbxanimcurvefilters.h>`

Inheritance diagram for FbxAnimCurveFilterScaleCompensate:
[legend]

List of all members.

## Public Types
enum | EErrorCode { eNo2Curves, eErrorCount }
| Error codes. More...
## Public Member Functions
| FbxAnimCurveFilterScaleCompensate ()
| Constructor.
virtual const char * | GetName () const
| Return name of the filter.
virtual bool | Apply (FbxAnimCurve **pCurve, int pCount, FbxIOSettings &pIOS)
| Compensate parent's scale to children's scale.
virtual bool | Apply (FbxAnimCurve &pCurve)
| Always fail because this filter needs 2 curves.

## Member Enumeration Documentation

enum EErrorCode

Search for all occurrences

Error codes.

Enumerator:

  eNo2Curves | The filter needs 2 curves. Search for all occurrences
  eErrorCount | End flag. Search for all occurrences

Definition at line 405 of file fbxanimcurvefilters.h.

        {
            eNo2Curves,
            eErrorCount
        };

## Constructor & Destructor Documentation

FbxAnimCurveFilterScaleCompensate | ( |  | ) |

Constructor.

## Member Function Documentation

virtual const char* GetName | ( |  | ) | const `[virtual]`

Search for all occurrences

Return name of the filter.

Reimplemented from FbxAnimCurveFilter.

virtual bool Apply | ( | FbxAnimCurve ** | pCurve,
|  | int | pCount,
|  | FbxIOSettings & | pIOS
| ) |  | `[virtual]`

Search for all occurrences

Compensate parent's scale to children's scale.

Parameters:

  pCurve | In pCurve, index 0 is the curve to be filtered. index 1 is the parent curve.
  pCount | Need to be 2.
  pIOS | IO setting object.

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Remarks:
  This filter will re-sample the animation curves.

virtual bool Apply | ( | FbxAnimCurve & | pCurve | ) | `[virtual]`

Search for all occurrences

Always fail because this filter needs 2 curves.

Implements FbxAnimCurveFilter.

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimcurvefilters.h

FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate
FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate FbxAnimCurveFilterScaleCompensate